> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get operation results

> Get checkpoints for a fine-tuning operation or the output file id for a dataset-to-file operation.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/operations/{operation_id}/results
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/operations/{operation_id}/results:
    get:
      tags:
        - datasets
      summary: Get operation results
      description: >-
        Get checkpoints for a fine-tuning operation or the output file id for a
        dataset-to-file operation.
      operationId: list_fine_tuning_checkpoints_v1_operations__operation_id__results_get
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            title: Operation Id
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Limit
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/FineTuningOperationResultsResponse'
                  - $ref: '#/components/schemas/DatasetToFileOperationResultsResponse'
                title: >-
                  Response List Fine Tuning Checkpoints V1 Operations  Operation
                  Id  Results Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FineTuningOperationResultsResponse:
      properties:
        object:
          type: string
          title: Object
          default: list
        data:
          items:
            $ref: '#/components/schemas/FineTuningCheckpoint'
          type: array
          title: Data
        first_id:
          anyOf:
            - type: string
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Id
        has_more:
          type: boolean
          title: Has More
          default: false
      type: object
      required:
        - data
      title: FineTuningOperationResultsResponse
    DatasetToFileOperationResultsResponse:
      properties:
        file_id:
          type: string
          title: File Id
      type: object
      required:
        - file_id
      title: DatasetToFileOperationResultsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FineTuningCheckpoint:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: integer
          title: Created At
        fine_tuned_model_checkpoint:
          type: string
          title: Fine Tuned Model Checkpoint
        fine_tuning_job_id:
          type: string
          title: Fine Tuning Job Id
        metrics:
          $ref: '#/components/schemas/Metrics'
        object:
          type: string
          enum:
            - fine_tuning.job.checkpoint
          const: fine_tuning.job.checkpoint
          title: Object
        step_number:
          type: integer
          title: Step Number
        result_files:
          items:
            type: string
          type: array
          title: Result Files
      additionalProperties: true
      type: object
      required:
        - id
        - created_at
        - fine_tuned_model_checkpoint
        - fine_tuning_job_id
        - metrics
        - object
        - step_number
        - result_files
      title: FineTuningCheckpoint
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Metrics:
      properties:
        full_valid_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Full Valid Loss
        full_valid_mean_token_accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Full Valid Mean Token Accuracy
        step:
          anyOf:
            - type: number
            - type: 'null'
          title: Step
        train_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Train Loss
        train_mean_token_accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Train Mean Token Accuracy
        valid_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Valid Loss
        valid_mean_token_accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Valid Mean Token Accuracy
      additionalProperties: true
      type: object
      title: Metrics
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````